After building image Studio is not working

Hi friends,

I run my custom edx-platform with this code :

tutor images build openedx --build-arg EDX_PLATFORM_REPOSITORY={repository} --build-arg EDX_PLATFORM_VERSION={branch} --no-cache

After restarting the server the studio part not working,
The error running platform :

tutor_local_cms-worker_1 exited with code 1
caddy_1 | {“level”:“info”,“ts”:1674804291.480642,“logger”:“tls.issuance.zerossl”,“msg”:“generated EAB credentials”,“key_id”:“bxVRSzQ5mmqMT35pIZyu9w”}
cms-worker_1 | Traceback (most recent call last):
cms-worker_1 | File “/openedx/edx-platform/cms/envs/production.py”, line 34, in get_env_setting
cms-worker_1 | return os.environ[setting]
cms-worker_1 | File “/opt/pyenv/versions/3.8.12/lib/python3.8/os.py”, line 675, in getitem
cms-worker_1 | raise KeyError(key) from None
cms-worker_1 | KeyError: ‘STUDIO_CFG’
cms-worker_1 |
cms-worker_1 | During handling of the above exception, another exception occurred:

The error in log file :

Traceback (most recent call last):
File “/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py”, line 47, in inner
response = get_response(request)
File “/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py”, line 181, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py”, line 75, in inner
return func(*args, **kwds)
File “/openedx/venv/lib/python3.8/site-packages/django/views/decorators/cache.py”, line 44, in _wrapped_view_func
response = view_func(request, *args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/django/views/decorators/csrf.py”, line 54, in wrapped_view
return view_func(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_django/utils.py”, line 46, in wrapper
return func(request, backend, *args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_django/views.py”, line 31, in complete
return do_complete(request.backend, _do_login, user=request.user,
File “/openedx/venv/lib/python3.8/site-packages/social_core/actions.py”, line 45, in do_complete
user = backend.complete(user=user, *args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_core/backends/base.py”, line 40, in complete
return self.auth_complete(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/auth_backends/backends.py”, line 98, in auth_complete
user = super().auth_complete(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_core/utils.py”, line 248, in wrapper
return func(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_core/backends/oauth.py”, line 375, in auth_complete
state = self.validate_state()
File “/openedx/venv/lib/python3.8/site-packages/social_core/backends/oauth.py”, line 87, in validate_state
raise AuthStateMissing(self, ‘state’)
social_core.exceptions.AuthStateMissing: Session value state missing.
2023-01-26 13:20:07,209 ERROR 18 [django.request] [user 1598] [ip 192.168.221.59] log.py:224 - Internal Server Error: /complete/edx-oauth2/
Traceback (most recent call last):
File “/openedx/venv/lib/python3.8/site-packages/django/core/handlers/exception.py”, line 47, in inner
response = get_response(request)
File “/openedx/venv/lib/python3.8/site-packages/django/core/handlers/base.py”, line 181, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/opt/pyenv/versions/3.8.12/lib/python3.8/contextlib.py”, line 75, in inner
return func(*args, **kwds)
File “/openedx/venv/lib/python3.8/site-packages/django/views/decorators/cache.py”, line 44, in _wrapped_view_func
response = view_func(request, *args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/django/views/decorators/csrf.py”, line 54, in wrapped_view
return view_func(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_django/utils.py”, line 46, in wrapper
return func(request, backend, *args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_django/views.py”, line 31, in complete
return do_complete(request.backend, _do_login, user=request.user,
File “/openedx/venv/lib/python3.8/site-packages/social_core/actions.py”, line 45, in do_complete
user = backend.complete(user=user, *args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_core/backends/base.py”, line 40, in complete
return self.auth_complete(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/auth_backends/backends.py”, line 98, in auth_complete
user = super().auth_complete(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_core/utils.py”, line 248, in wrapper
return func(*args, **kwargs)
File “/openedx/venv/lib/python3.8/site-packages/social_core/backends/oauth.py”, line 375, in auth_complete
state = self.validate_state()
File “/openedx/venv/lib/python3.8/site-packages/social_core/backends/oauth.py”, line 87, in validate_state
raise AuthStateMissing(self, ‘state’)
social_core.exceptions.AuthStateMissing: Session value state missing.

The edx-platform version is : maple

tutor, version 14.0.5

Thanks in Advance!

I see an inconsistency here. If you want to run Maple then you need to run Tutor v13, not v14. Tutor v14 is for Nutmeg. I’m pretty sure this inconsistency is going to cause issues, such as the one you are facing.

Hi @regis thank you much,

I have reinstalled tutor 13.3.1,

But now while building image with custom edx-platform gives an error :

Step 22/102 : RUN git fetch --depth=2 GitHub - open-craft/edx-platform: the edX learning management system (LMS) and course authoring tool, Studio 03731f19459e558f188c06aac5cc9ca1bbc675c2 && git cherry-pick 03731f19459e558f188c06aac5cc9ca1bbc675c2
—> Running in aac9e27bc76c
From GitHub - open-craft/edx-platform: the edX learning management system (LMS) and course authoring tool, Studio

  • branch 03731f19459e558f188c06aac5cc9ca1bbc675c2 → FETCH_HEAD
    Auto-merging lms/djangoapps/discussion/tasks.py
    The previous cherry-pick is now empty, possibly due to conflict resolution.
    If you wish to commit it anyway, use:

    git commit --allow-empty

Otherwise, please use ‘git cherry-pick --skip’
On branch customized_edu
Your branch is up to date with ‘origin/customized_edu’.

You are currently cherry-picking commit 03731f1.
(all conflicts fixed: run “git cherry-pick --continue”)
(use “git cherry-pick --skip” to skip this patch)
(use “git cherry-pick --abort” to cancel the cherry-pick operation)

nothing to commit, working tree clean
The command ‘/bin/sh -c git fetch --depth=2 GitHub - open-craft/edx-platform: the edX learning management system (LMS) and course authoring tool, Studio 03731f19459e558f188c06aac5cc9ca1bbc675c2 && git cherry-pick 03731f19459e558f188c06aac5cc9ca1bbc675c2’ returned a non-zero code: 1